Bug 40165 - kde arts pts/1 and so on
Summary: kde arts pts/1 and so on
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdeutils   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-11 00:12 UTC by nick sklav
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-24 22:59:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description nick sklav 2001-05-11 00:12:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i586)

Description of problem:
When exiting kde2.1 if you run top or uptime or who it displays multile
users under pts/1
when in reality there is nne but when you run w alone it shows only the
actuall user but uptime and top show multiple users logged in. this only
happens after you exit from kde2.1 and is fixed when rebooted but the
system has the same problem the moment kde2.1 is started. Also there is an
error when exiting with the arts server. 

How reproducible:
Always

Steps to Reproduce:
1.log in to kde 2.1
2.exit kde 2.1 and error is displayed on screen about arts
3.then run top, w, uptime, who and you will notice the inconsistencies
	

Actual Results:  no error is noticed till you go to step 2 then you will
see the arts server error messages on screen.
step3: is performed and you will see inconsistencies in the readings....

Expected Results:  after step 2 i would expect a clan shutdown of kde2.1
after step 3 i would expect to see only 1 user logged in example myname.


Additional info:

This is system is not connected on a network yet so this leaves out the
possibility of it being cracked.. or having been rooted....

Comment 1 nick sklav 2001-05-11 00:28:05 UTC
Below is the output error i get in the terminal after i exit kde2.1

waiting for X server to shut down kdeinit: Fatal IO error: client killed
kdeinit: sending SIGHUP to children.
KLauncher: Exiting on signal 1

[artsd] ** Warning ** cache shutdown while still active objects in cache
warning: leaving MCOP Dispatcher and still 6 object references alive.
  - Arts::Synth_MULTI_ADD
  - Arts::Synth_MULTI_ADD
  - Arts::AudioManagerClient
  - Arts::Synth_BUS_UPLINK
  - Arts::Synth_AMAN_PLAY
  - Arts::Synth_PLAY_WAV


[root@mysystem/root]# kdeinit: sending SIGTERM to children.
kdeinit: Exit.
#I have added the comment below
#error after 2nd attempt is consistent

Double QObject deletion detected.

waiting for X server to shut down kdeinit: Fatal IO error: client killed
kdeinit: sending SIGHUP to children.
kdeinit: sending SIGTERM to children.
kdeinit: Exit.
KLauncher: Exiting on signal 15

[artsd] ** Warning ** cache shutdown while still active objects in cache
warning: leaving MCOP Dispatcher and still 6 object references alive.
  - Arts::Synth_MULTI_ADD
  - Arts::Synth_MULTI_ADD
  - Arts::Synth_PLAY_WAV
  - Arts::AudioManagerClient
  - Arts::Synth_BUS_UPLINK
  - Arts::Synth_AMAN_PLAY



Comment 2 Konstantin 2001-12-07 10:24:03 UTC
may be, it is the same bug: kde control center fails to shut down arts or 
restart it.


Comment 3 Bernhard Rosenkraenzer 2002-01-25 00:29:48 UTC
This is fixed in 2.2.x


Note You need to log in before you can comment on or make changes to this bug.